#ifndef _PG_ATTRIBUTE_VAL_H_
#define _PG_ATTRIBUTE_VAL_H_

#include <buildspec.h>
#include <Client/ClientUtils/Network/AbstractRDBAccess.h>

namespace GST {
namespace ClientUtils {

	/**
	 * A value with a table description attached to it.
	 */
class GST_API_EXPORT PGAttributeVal
	: public AbstractRDBAttributeVal
{	
public:

	//PGAttributeVal(const std::string& name, const std::string& tablename, TableAttributeDesc::DType type, int dimension, const boost::any& value, bool notNull);
	PGAttributeVal(const TableAttributeDesc& desc, const boost::any& value);
	PGAttributeVal(const TableAttributeDescPtr desc, const boost::any& value);

	PGAttributeVal();

	///@name getters
	//@{
	virtual std::string getValueAsDML() const;
	//@}	
};
typedef boost::shared_ptr<PGAttributeVal> PGAttributeValValPtr;

}// namespace ClientUtils
}// namespace GST


#endif  //_PG_ATTRIBUTE_VAL_H_
